Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.buildqueue.manager
Interface PipelineManager

All Known Implementing Classes:
  PipelineManagerImpl

    public interface PipelineManager

Method Summary
`void` | `disableAllPipelines()` Disable all pipelines
`void` | `enableAllPipelines()` Enable all pipelines
`Collection` | `getAllPipelines()` Returns all `BuildPipeline` objects
`BuildPipeline` | `getPipeline(long pipelineId)` Returns the pipeline that matches the passed id
`void` | `init()` sets up pipelines with persisted pipelines only
`void` | `removeAllPipelines()` Removes the `BuildPipeline` with the matching id
`void` | `removePipeline(long pipelineId)` Removes the `BuildPipeline` with the matching id
`void` | `savePipeline(PipelineDefinition pipelineDefinition)` Stores the `PipelineDefinition`.
`void` | `setupDefaultPipeline()` sets up a default pipeline if no pipelines have been persisted

Method Detail

### setupDefaultPipeline

    void setupDefaultPipeline()

  sets up a default pipeline if no pipelines have been persisted

### init

    void init()

  sets up pipelines with persisted pipelines only

### getAllPipelines

    Collection getAllPipelines()

  Returns all `BuildPipeline` objects

  Returns:
    An unmodifiable collection of `BuildPipeline` objects, or Collections.EMPTY_LIST if none exists.

### savePipeline

    void savePipeline(PipelineDefinition pipelineDefinition)

  Stores the `PipelineDefinition`. Updates any caches so calls to `getPipeline(long)` will return the `BuildPipeline` returns with the new definition

  Parameters:
    `pipelineDefinition` - - Must not be null

### getPipeline

    BuildPipeline getPipeline(long pipelineId)

  Returns the pipeline that matches the passed id

  Parameters:
    `pipelineId` -
  Returns:
    Matching `BuildPipeline` object. Null if pipeline does not exist

### removePipeline

    void removePipeline(long pipelineId)

  Removes the `BuildPipeline` with the matching id

  Parameters:
    `pipelineId` -
  Throws:
    `IllegalStateException` - - is thrown if `BuildPipeline.isBusy()` returns true

### removeAllPipelines

    void removeAllPipelines()

  Removes the `BuildPipeline` with the matching id

  Throws:
    `IllegalStateException` - - is thrown if `BuildPipeline.isBusy()` returns true

### disableAllPipelines

    void disableAllPipelines()

  Disable all pipelines

### enableAllPipelines

    void enableAllPipelines()

  Enable all pipelines

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.